package com.xinhui.ui;

import java.util.ArrayList;
import java.util.List;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.graphics.drawable.Drawable;
/**
 * ƣAppInfoProvider 
 * ȡӦóϢ
 * ˣLXH 
 * ʱ䣺2013-10-21 10:30:00 
 */
public class AppInfoProvider {
	
	private PackageManager packageManager;
	//ȡһ
	public AppInfoProvider(Context context){
		packageManager = context.getPackageManager();
		
	}
	
	public List<AppInfo> getAllApps(){
		
		List<AppInfo> list = new ArrayList<AppInfo>();
		AppInfo myAppInfo;
		 //ȡаװ˵ӦóϢЩж˵ģûݵӦó 
		List<PackageInfo> packageInfos = packageManager.getInstalledPackages(PackageManager.GET_UNINSTALLED_PACKAGES);
		for(PackageInfo info:packageInfos){
			myAppInfo = new AppInfo();
			//õ
			String packageName = info.packageName;
			 //õӦóϢ 
			ApplicationInfo appInfo = info.applicationInfo;
			//õӦóͼ
			Drawable icon = appInfo.loadIcon(packageManager);
			//õӦóĴС
			//long codesize = packageStats.codeSize;
			//Log.i("info", "-->"+codesize);
			//õӦóĳ
			String appName = appInfo.loadLabel(packageManager).toString();
			
			myAppInfo.setPackageName(packageName);
			myAppInfo.setAppName(appName);
			myAppInfo.setIcon(icon);
			
			if(filterApp(appInfo)){
				myAppInfo.setSystemApp(false);
			}else{
				myAppInfo.setSystemApp(true);
			}
			list.add(myAppInfo);
		}
		return list;
		
	}
	
	//жĳһӦóǲϵͳӦóǷtrue򷵻false 
	public boolean filterApp(ApplicationInfo info){
		//ЩϵͳӦǿԸµģûԼһϵͳӦԭģϵͳӦãж
		if((info.flags & ApplicationInfo.FLAG_UPDATED_SYSTEM_APP) != 0){
			return true;
		}else if((info.flags & ApplicationInfo.FLAG_SYSTEM) == 0){//жǲϵͳӦ
			return true;
		}
		return false;
	}
}
