package com.xinhui.ui;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

import com.xinhui.appsystem.R;
import com.xinhui.data.HandleDB;
import com.xinhui.service.WatchAppService;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.InputType;
import android.text.TextUtils;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.view.ViewGroup;
import android.view.Window;
import android.view.animation.ScaleAnimation;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.BaseAdapter;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import android.widget.Toast;
/**
 * ƣMainActivity 
 * ϵͳҳ
 * ˣLXH 
 * ʱ䣺2013-11-5 3:31:00 
 */
public class MainActivity extends Activity implements OnClickListener,OnLongClickListener{

	private static final int GET_ALL_APP_FINISH = 1;
	private static final int GET_USER_APP_FINISH = 2;
	private ListView lv_app_manager;
	private LinearLayout ll_app_manager_progress; 
    private LinearLayout ll_app_logo;
    private ImageView iv_app_lock;
    private TextView tv_app_lock;
    private EditText etPwd1;
    private EditText etPwd2;
    private EditText etOldPwd;
    private EditText etNewPwd1;
    private EditText etNewPwd2;
    private View viewSetPwd;
    private View viewChangePwd;
    private SharedPreferences preferencesPwd;
    private Editor editor;
	private AppInfoProvider provider;
	private AppManagerAdapter adapter;
	/**
	 * жǲǻڼУڼеĻͲܽӦõл  
	 */
    private boolean flag = false; 
	private List<AppInfo> list;
	private PopupWindow popupWindow;
	private TextView tv_app_title;
	private HandleDB handleDB;
	private Intent intentService;
	@SuppressLint("HandlerLeak")
	private Handler handler = new Handler()  
    {  
        @SuppressLint("HandlerLeak")
		public void handleMessage(Message msg)   
        {  
            switch(msg.what)  
            {  
                case GET_ALL_APP_FINISH :   
                    //Ϊɼ  
                    ll_app_manager_progress.setVisibility(View.GONE);  
                    adapter = new AppManagerAdapter(list);  
                    lv_app_manager.setAdapter(adapter);
                    flag = true;
                    break;  
                case GET_USER_APP_FINISH:
                	//Ϊɼ
                	ll_app_manager_progress.setVisibility(View.GONE);
                    adapter = new AppManagerAdapter(getUserApp());  
                    lv_app_manager.setAdapter(adapter);  
                    flag = true;  
                    break;   
                default :   
                    break;  
            }  
        };  
    };  
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		//ȥӦó֣  
        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.main_layout);
		 
		initView();
        initUI(false); 
        
        lv_app_manager.setOnItemClickListener(new OnItemClickListener() {

		@Override
		public void onItemClick(AdapterView<?> parent, View view, int position,
				long id) {
			// TODO Auto-generated method stub
			
			dismissPopupWindow();
			//ŵǰitemֵһx꣬ڶy 
			int[] location = new int[2];
			//ѵǰitemֵŵint
			view.getLocationInWindow(location);
			View popupView = View.inflate(MainActivity.this, R.layout.popup_item, null);
			LinearLayout ll_app_run = (LinearLayout) popupView.findViewById(R.id.ll_app_start);  
            LinearLayout ll_app_share = (LinearLayout) popupView.findViewById(R.id.ll_app_share);  
            LinearLayout ll_app_lock = (LinearLayout) popupView.findViewById(R.id.ll_app_lock);
            LinearLayout ll_app_uninstall = (LinearLayout) popupView.findViewById(R.id.ll_app_uninstall);
            iv_app_lock = (ImageView) popupView.findViewById(R.id.iv_app_lock);
            tv_app_lock = (TextView) popupView.findViewById(R.id.tv_app_lock);
            ll_app_run.setOnClickListener(MainActivity.this);  
            ll_app_share.setOnClickListener(MainActivity.this);
            ll_app_lock.setOnClickListener(MainActivity.this);
            ll_app_lock.setOnLongClickListener(MainActivity.this);
            ll_app_uninstall.setOnClickListener(MainActivity.this);  
            ll_app_logo.setOnClickListener(MainActivity.this);
            
            //ҳؼ
            LayoutInflater inflater = getLayoutInflater();
        	viewSetPwd = inflater.inflate(R.layout.set_pwd,null);
        	etPwd1 = (EditText) viewSetPwd.findViewById(R.id.et_pwd1);
        	etPwd2 = (EditText) viewSetPwd.findViewById(R.id.et_pwd2);
        	viewChangePwd = inflater.inflate(R.layout.change_pwd, null);
        	etOldPwd = (EditText) viewChangePwd.findViewById(R.id.et_old_pwd);
        	etNewPwd1 = (EditText) viewChangePwd.findViewById(R.id.et_new_pwd1);
        	etNewPwd2 = (EditText) viewChangePwd.findViewById(R.id.et_new_pwd2);
          //õʱĿõview  
            AppInfo info = (AppInfo) lv_app_manager.getItemAtPosition(position);
            String packageName = info.getPackageName();
            if(handleDB.find(packageName)){
            	iv_app_lock.setImageDrawable(getResources().getDrawable(R.drawable.app_unlock));
            	tv_app_lock.setText("");
            }
            ll_app_run.setTag(info);
            ll_app_share.setTag(info);
            ll_app_lock.setTag(info);
            ll_app_uninstall.setTag(info);
            
            preferencesPwd = getSharedPreferences("passWord",MODE_PRIVATE);
			editor = preferencesPwd.edit();
          //Ӷ
            LinearLayout ll_app_popup = (LinearLayout) popupView.findViewById(R.id.ll_app_popup);
            ScaleAnimation scaleAnimation = new ScaleAnimation(0.0f, 1.0f, 0.0f, 1.0f);
            scaleAnimation.setDuration(300);
            
          //new һPopupWindow
           popupWindow = new PopupWindow(popupView, 615, 150);
           //һҪPopupWindowһͼƬȻĻкܶδ֪  
           //û취϶ʾȣ  
           //ûҪõͼƬôǾ͸һ͸ıͼƬ
           Drawable drawable = new ColorDrawable(Color.TRANSPARENT);
           popupWindow.setBackgroundDrawable(drawable);
           
           int x = location[0]+60;
           int y = location[1];
           //PopupWindowʾ 
           popupWindow.showAtLocation(view, Gravity.LEFT | Gravity.TOP, x, y);
           
         //
           ll_app_popup.startAnimation(scaleAnimation);
		}
	});
     //listviewʱõķ
     lv_app_manager.setOnScrollListener(new OnScrollListener() {
		
		@Override
		public void onScrollStateChanged(AbsListView view, int scrollState) {
			// TODO Auto-generated method stub
			dismissPopupWindow(); 
		}
		
		@Override
		public void onScroll(AbsListView view, int firstVisibleItem,
				int visibleItemCount, int totalItemCount) {
			// TODO Auto-generated method stub
			dismissPopupWindow(); 
		}
	});
	}
	
	//ʼͼ
	public void initView(){
		//
		intentService = new Intent(this,WatchAppService.class);
		startService(intentService);
		 
		handleDB = new HandleDB(this);
		lv_app_manager = (ListView) findViewById(R.id.lv_app_manager);  
		ll_app_manager_progress = (LinearLayout) findViewById(R.id.ll_app_manager_progress);  
		ll_app_manager_progress.setVisibility(View.VISIBLE);
		ll_app_logo = (LinearLayout) findViewById(R.id.ll_app_logo);
		tv_app_title = (TextView) findViewById(R.id.tv_app_title);
		tv_app_title.setOnClickListener(this);
		ll_app_logo.setOnClickListener(MainActivity.this);
	}
	/**
	 *ܣжPopupWindowǲǴڣھͰdismiss  
	 */
    private void dismissPopupWindow()  
    {  
        if(popupWindow != null)  
        {  
            popupWindow.dismiss();  
            popupWindow = null;  
        }  
    }
    /**
     *ܣؼ¼һ¼ڸ
     * @param v
     * @return
     */
    @Override
    public boolean onLongClick(View v) {
    	// TODO Auto-generated method stub
    	switch (v.getId()) {
		case R.id.ll_app_lock:
			String stringPwd = preferencesPwd.getString("pwd", "");
			if(TextUtils.isEmpty(stringPwd)){
				//û״룬Ч
			}else{
				changePwd();
			}
			break;
		default:
			break;
		}
    	return true;
    }  
    @Override
    public void onClick(View v) {
    	// TODO Auto-generated method stub
    	AppInfo item = (AppInfo) v.getTag(); 
    	switch (v.getId()) {
    	case  R.id.tv_app_title:
    	case R.id.ll_app_logo:
    		if(flag){
    			if("Ӧó".equals(tv_app_title.getText().toString().trim())){
    				tv_app_title.setText("ûӦó");
    				adapter.setAppInfos(getUserApp());
    				//֪ͨListViewݷ˱仯  
    				adapter.notifyDataSetChanged(); 
    			}else{
    				tv_app_title.setText("Ӧó");  
    				adapter.setAppInfos(list);  
    				adapter.notifyDataSetChanged();  
    			}
    		}else{
    			Toast.makeText(MainActivity.this, "ڼԺ󡭡", Toast.LENGTH_SHORT).show();
    		}
    		break;
    	case R.id.ll_app_start:
			try {
				/**
				 * õӦPackageInfoָflag  
				 * һ֮ǰģеİװӦóҳж˵ûݵ  
				 * һָȥɨӦõAndroidMainfestļʱactivityڵ㣬  
				 * ǲõActivityInfoָ޷ɨ 
				 * 
				 * */
				PackageInfo packageInfo = getPackageManager().getPackageInfo(item.getPackageName(), PackageManager.GET_UNINSTALLED_PACKAGES | PackageManager.GET_ACTIVITIES);
				//ɨactivityڵϢ
				ActivityInfo[] activityInfos = packageInfo.activities;
				//ЩӦ޷ģǾҪжһ 
				if(activityInfos != null && activityInfos.length > 0){
					//ɨӦ棬һǾ 
					ActivityInfo startActivity = activityInfos[0];
					//Intentactivity
					try{
						Intent intent = new Intent();
						intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
						intent.setClassName(item.getPackageName(), startActivity.name);
						startActivity(intent);
					}catch(Exception e){
						Toast.makeText(MainActivity.this, "ܱǸʧܣ", Toast.LENGTH_SHORT).show();
					}
				}else{
					Toast.makeText(MainActivity.this, "Ӧó޷", Toast.LENGTH_SHORT).show(); 
				}
			} catch (NameNotFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			break;
		case R.id.ll_app_share:
			Intent shareintent = new Intent();
			//Intentaction
			shareintent.setAction(Intent.ACTION_SEND);
			//趨Ǵı
			shareintent.setType("text/plain");
			//÷
			shareintent.putExtra(Intent.EXTRA_SUBJECT, "");
			//÷ı
			shareintent.putExtra(Intent.EXTRA_TEXT, "һܺõӦóŶƼһ£" +item.getAppName()+"/nϢϵͳ");
			startActivity(shareintent);
			break;
		case R.id.ll_app_lock:
			String itemPackageName = item.getPackageName();
			String pwd = preferencesPwd.getString("pwd", "");
			if(tv_app_lock.getText().equals("")){
				if(TextUtils.isEmpty(pwd)){
					setPassWord(itemPackageName);
				}else{
					handleDB.add(itemPackageName);
					Toast.makeText(MainActivity.this, "ɹ", Toast.LENGTH_SHORT).show();
				}
			}else if(tv_app_lock.getText().equals("")){
				unLock(itemPackageName);
			}
			
			adapter.notifyDataSetChanged();
			break;
		case R.id.ll_app_uninstall:
			if(item.isSystemApp()){
				 Toast.makeText(MainActivity.this, "жϵͳӦó", Toast.LENGTH_SHORT).show();  
			}else{
				String strUri = "package:"+item.getPackageName();
				Uri uri = Uri.parse(strUri);//ͨuriȥҪжصİ
				Intent delectIntent = new Intent();
				delectIntent.setAction(Intent.ACTION_DELETE);
				delectIntent.setData(uri);
				startActivityForResult(delectIntent, 0);
			}
			break;
		default:
			break;
		}
    	dismissPopupWindow(); 
    }
    public void unLock(final String packageName){
    	final EditText pwd = new EditText(this);
    	pwd.setHint("");
    	pwd.setInputType(InputType.TYPE_TEXT_VARIATION_PASSWORD);
    	new AlertDialog.Builder(this).setTitle("֤").setIcon(
    			R.drawable.ic_setting_pwd).setView(
    		    		 pwd).setPositiveButton("ȷ", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {
						// TODO Auto-generated method stub
						String stringPwd = preferencesPwd.getString("pwd", "");
						if(TextUtils.isEmpty(pwd.getText().toString())){
							boolean isVisible = false;
							dialogView(dialog,isVisible);
							Toast.makeText(MainActivity.this, "", Toast.LENGTH_SHORT).show();
						}else if((pwd.getText().toString()).equals(stringPwd)){
							handleDB.delete(packageName);
							boolean isVisible = true;
							dialogView(dialog,isVisible);
							Toast.makeText(MainActivity.this, "ɹ", Toast.LENGTH_SHORT).show();
						}else{
							boolean isVisible = false;
							dialogView(dialog,isVisible);
							Toast.makeText(MainActivity.this, "", Toast.LENGTH_SHORT).show();
						}
					}
				})
    		     .setNegativeButton("ȡ", new DialogInterface.OnClickListener() {
					
					@Override
					public void onClick(DialogInterface dialog, int which) {
						// TODO Auto-generated method stub
						boolean isVisible = true;
						dialogView(dialog,isVisible);
					}
				}).show();
    }
    /**
     * ܣһμ
     * @param itemPackageName
     */
    public void setPassWord(final String itemPackageName){
    	 new AlertDialog.Builder(this).setTitle("ðȫԿ").setIcon(R.drawable.ic_setting_pwd)
    	.setView(viewSetPwd)
    	.setPositiveButton("ȷ", new DialogInterface.OnClickListener() {
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				if((etPwd1.getText().toString()).equals(etPwd2.getText().toString())){
					if(TextUtils.isEmpty(etPwd1.getText().toString()) | TextUtils.isEmpty(etPwd2.getText().toString())){
						Toast.makeText(MainActivity.this, "벻Ϊ", Toast.LENGTH_SHORT).show();
						boolean isVisible = false;
						dialogView(dialog,isVisible);
					}else{
						editor.putString("pwd", etPwd1.getText().toString());
						editor.commit();
						handleDB.add(itemPackageName);
						Toast.makeText(MainActivity.this, "óɹ", Toast.LENGTH_SHORT).show();
						Toast.makeText(MainActivity.this, "ɹ", Toast.LENGTH_SHORT).show();
						boolean isVisible = true;
						dialogView(dialog,isVisible);
					}
				}else{
					etPwd1.setText("");
					etPwd2.setText("");
					Toast.makeText(MainActivity.this, "벻ͬ", Toast.LENGTH_SHORT).show();
					boolean isVisible = false;
					dialogView(dialog,isVisible);
				}
			}
		})
		.setNeutralButton("", new DialogInterface.OnClickListener() {
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				etPwd1.setText("");
				etPwd2.setText("");
				boolean isVisible = false;
				dialogView(dialog,isVisible);
			}
		})
		.setNegativeButton("ȡ", new DialogInterface.OnClickListener() {
			
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				boolean isVisible = true;
				dialogView(dialog,isVisible);
			}
		} )
		.create().show();
    	 }
    /**
     * ܣpopupwindowԻʧʾ
     * @param dialog
     * @param isVisible
     */
    public void dialogView(DialogInterface dialog,boolean isVisible){
    	try {
			//ʵֵöԻʧ
			Field field;
			field = dialog.getClass().getSuperclass().getDeclaredField("mShowing");
			field.setAccessible(true);  
			//mShowingֵƭandroidϵͳ   
			field.set(dialog, isVisible);  //ҪرյʱΪtrue ͻԶر
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}  
    }
    
    /**
     * ܣ
     */
    public void changePwd(){
    	new AlertDialog.Builder(this).setTitle("").setView(viewChangePwd).
		setIcon(R.drawable.ic_setting_pwd).setPositiveButton("ȷ", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {
						// TODO Auto-generated method stub
						String stringPwd = preferencesPwd.getString("pwd", "");
						if((etOldPwd.getText().toString()).equals(stringPwd)){
							if((etNewPwd1.getText().toString()).equals(etNewPwd2.getText().toString())){
								editor.putString("pwd", etNewPwd1.getText().toString());
								editor.commit();
								Toast.makeText(MainActivity.this, "óɹ", Toast.LENGTH_SHORT).show();
								boolean isVisible = true;
								dialogView(dialog,isVisible);
							}else{
								etNewPwd1.setText("");
								etNewPwd2.setText("");
								boolean isVisible = false;
								dialogView(dialog,isVisible);
								Toast.makeText(MainActivity.this, "벻ͬ", Toast.LENGTH_SHORT).show();
							}
						}else{
							boolean isVisible = false;
							dialogView(dialog,isVisible);
							Toast.makeText(MainActivity.this, "ԭʼ", Toast.LENGTH_SHORT).show();
						}
					}
				})
    		     .setNegativeButton("ȡ", new DialogInterface.OnClickListener() {
					
					@Override
					public void onClick(DialogInterface dialog, int which) {
						// TODO Auto-generated method stub
						boolean isVisible = true;
						dialogView(dialog,isVisible);
					}
				}).show();
    }
    
    /**
     * ܣдonActivityResultˢlistб
     * @param requestCode
     * @param resultCode
     * @param data
     */
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
    	// TODO Auto-generated method stub
    	super.onActivityResult(requestCode, resultCode, data);
    	if("ûӦó".equals(tv_app_title.getText().toString().trim()))  
        {  
            initUI(true);  
            adapter.setAppInfos(getUserApp());  
            //֪ͨListViewݷ˱仯  
            adapter.notifyDataSetChanged();  
        }  
        else  
        {  
            initUI(false);  
        }  
    	
    }
    @Override
    protected void onDestroy() {
    	// TODO Auto-generated method stub
    	super.onDestroy();
    	//stopService(intentService);
    }
    private void initUI(final boolean isUserApp)  
    {  
        flag = false;  
        ll_app_manager_progress.setVisibility(View.VISIBLE);  
          
        //ΪֻӦóпǷǳʱģǿһµ߳ȥ  
        //֮󣬾ͰһɹϢ͸HandlerȻhandlerýlistview  
        new Thread()  
        {  
            public void run()   
            {  
                provider = new AppInfoProvider(MainActivity.this);  
                list = provider.getAllApps();  
                Log.i("info", "-->list"+"="+list.size());
                Message msg = new Message();  
                if(isUserApp)  
                {  
                    msg.what = GET_USER_APP_FINISH;  
                }  
                else  
                {  
                    msg.what = GET_ALL_APP_FINISH;  
                }  
                handler.sendMessage(msg);  
            };  
        }.start();  
    }  
    private List<AppInfo> getUserApp()  
    {  
        List<AppInfo> userApps = new ArrayList<AppInfo>();  
        for(AppInfo info : list)  
        {  
            if(!info.isSystemApp())  
            {  
                userApps.add(info);  
            }  
        } 
        Log.i("info", "-->userApps"+"="+userApps.size());
        return userApps;  
    }  
	/*-----------------------*/
	private class AppManagerAdapter extends BaseAdapter{

		private List<AppInfo> appInfos;
		public AppManagerAdapter(List<AppInfo> appInfos) {
			// TODO Auto-generated constructor stub
			this.appInfos = appInfos; 
		}
		//adapter
		public void setAppInfos(List<AppInfo> appInfos) {
			// TODO Auto-generated method stub
			 this.appInfos = appInfos;
		}

		@Override
		public int getCount() {
			// TODO Auto-generated method stub
			return appInfos.size();
		}

		@Override
		public Object getItem(int position) {
			// TODO Auto-generated method stub
			return appInfos.get(position);
		}

		@Override
		public long getItemId(int position) {
			// TODO Auto-generated method stub
			return position;
		}

		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
			// TODO Auto-generated method stub
			AppInfo info = appInfos.get(position);
			String packageName = info.getPackageName();
			if(convertView == null){
				View view = View.inflate(MainActivity.this, R.layout.app_manager_item, null);
				AppManagerViews views = new AppManagerViews();  
                views.iv_app_icon = (ImageView) view.findViewById(R.id.iv_app_manager_icon);  
                views.tv_app_name = (TextView) view.findViewById(R.id.tv_app_manager_name);
                views.iv_appisLock = (ImageView) view.findViewById(R.id.iv_app_lock);
                views.iv_app_icon.setImageDrawable(info.getIcon());  
                views.tv_app_name.setText(info.getAppName());
              //жӦóǷˣݼͼ
                if(handleDB.find(packageName)){
                	views.iv_appisLock.setImageDrawable(getResources().getDrawable(R.drawable.lock));
                }else{
                	views.iv_appisLock.setImageDrawable(getResources().getDrawable(R.drawable.unlock));
                }
                view.setTag(views);  
                return view;  
			
			}else{  
                AppManagerViews views = (AppManagerViews) convertView.getTag();  
                views.iv_app_icon.setImageDrawable(info.getIcon());  
                views.tv_app_name.setText(info.getAppName());
                if(handleDB.find(packageName)){
                	//handleDB.delete(packageName);
                	views.iv_appisLock.setImageDrawable(getResources().getDrawable(R.drawable.lock));
                }else{
                	views.iv_appisLock.setImageDrawable(getResources().getDrawable(R.drawable.unlock));
                }
                return convertView;  
            }  
		}
		
	}
	
	/**
	 *ܣŻlistview 
	 * @author LI
	 *
	 */
	private class AppManagerViews  
	{  
		ImageView iv_app_icon;  
		TextView tv_app_name;
		ImageView iv_appisLock;
	}
}
